Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.component
Class AbstractRenderer

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--com.sun.jimi.core.component.AbstractRenderer

Direct Known Subclasses:
  AreaRenderer, BestFitRenderer, CompositeRenderer, CropRenderer, FitToWidthRenderer, MultipageRenderer, ScaleRenderer, ScrollRenderer

public abstract class AbstractRenderer
extends java.awt.Panel
implements JimiImageRenderer

See Also:
  Serialized Form

Inner Class Summary
`class` | `AbstractRenderer.ResizeWatcher`

Field Summary
`JimiCanvas` | `canvas`
`java.awt.Image` | `image`
`java.awt.image.ImageProducer` | `producer`
`JimiRasterImage` | `raster`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`AbstractRenderer()`

Method Summary
`void` | `blankBackground(java.awt.Graphics g)`
`java.awt.Component` | `getContentPane()`
`java.awt.Image` | `getImage()`
`java.awt.Dimension` | `getPreferredSize()`
`JimiRasterImage` | `getRasterImage()`
`void` | `paint(java.awt.Graphics g)`
`void` | `render()` performes the actual rendering operation, it is called whenever setImage is called in JimiCanvas.
`void` | `setImage(java.awt.Image image)` displays an image.
`void` | `setImageProducer(java.awt.image.ImageProducer producer)` creates an image from a given ImageProducer and displays it.
`void` | `setRasterImage(JimiRasterImage raster)` creates an image from a give JimiRasterImage and displays it.
`void` | `update(java.awt.Graphics g)`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### raster

    public JimiRasterImage raster

### image

    public java.awt.Image image

### producer

    public java.awt.image.ImageProducer producer

### canvas

    public JimiCanvas canvas

Constructor Detail

### AbstractRenderer

    public AbstractRenderer()

Method Detail

### setRasterImage

    public void setRasterImage(JimiRasterImage raster)

  creates an image from a give JimiRasterImage and displays it.
  Specified by:
    setRasterImage in interface JimiImageRenderer
  Parameters:
    `raster` - the raster image you want to display.

### setImageProducer

    public void setImageProducer(java.awt.image.ImageProducer producer)

  creates an image from a given ImageProducer and displays it.
  Specified by:
    setImageProducer in interface JimiImageRenderer
  Parameters:
    `producer` - the ImageProducer you want to create an image from.

### setImage

    public void setImage(java.awt.Image image)

  displays an image.
  Specified by:
    setImage in interface JimiImageRenderer
  Parameters:
    `image` - the image you want to display

### getContentPane

    public java.awt.Component getContentPane()

  Specified by:
    getContentPane in interface JimiImageRenderer
  Returns:
    the 'viewable' area of this renderere

### render

    public void render()

  performes the actual rendering operation, it is called whenever setImage is called in JimiCanvas.
  Specified by:
    render in interface JimiImageRenderer

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Overrides:
    getPreferredSize in class java.awt.Container

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    paint in class java.awt.Container

### update

    public void update(java.awt.Graphics g)

  Overrides:
    update in class java.awt.Container

### getImage

    public java.awt.Image getImage()

### getRasterImage

    public JimiRasterImage getRasterImage()

### blankBackground

    public final void blankBackground(java.awt.Graphics g)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD